package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.print.strategy;

import cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.print.IPrintTemplateStrategyService;
import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesProductionPsOutContext;
import cn.estsh.impp.framework.boot.auth.AuthUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2024/6/17 16:43
 * @Modify:
 **/
@Service
@Slf4j
public class NoSortBarCodeGzNewStrategy implements IPrintTemplateStrategyService {
    @Override
    public Map<String, Object> execute(MesProductionPsOutContext sn, String organizeCode) {

        Map<String,Object> map = new HashMap<>();
        String partNo = sn.getPartNo();
        String partName = sn.getPartName();
        LocalDateTime now = LocalDateTime.now();
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss.SSS");
        String productDateTime = now.format(formatter);
        DateTimeFormatter dateFormatter = DateTimeFormatter.ofPattern("yyyy-MM-dd");
        String productDate = now.format(dateFormatter);
        int no = 1;
        String noStr = String.format("%05d", no);
        String custPartNo = sn.getCustPartNo();
        String barcode = custPartNo +"-"+ productDate+noStr;
        map.put("partNo",partNo);
        map.put("partName",partName);
        map.put("productDateTime",productDateTime);
        map.put("barcode",barcode);
        return map;
    }
}
